#pragma once

#include <stddef.h>

typedef struct _tf_ssb_t tf_ssb_t;
typedef struct _tf_ssb_connection_t tf_ssb_connection_t;
typedef struct _tf_ssb_rpc_t tf_ssb_rpc_t;

tf_ssb_rpc_t* tf_ssb_rpc_create(tf_ssb_t* ssb);
void tf_ssb_rpc_destroy(tf_ssb_rpc_t* rpc);

void tf_ssb_rpc_send_blobs_get(tf_ssb_connection_t* connection, const char* blob_id, size_t size);
void tf_ssb_rpc_send_blobs_createWants(tf_ssb_connection_t* connection);
void tf_ssb_rpc_send_createHistoryStream(tf_ssb_connection_t* connection, const char* id);
